通知处理程序

GET https://notifyc.com/api/notification-handlers/
curl --request GET \
--url 'https://notifyc.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
参数 细节 描述
search 可选的 字符串 搜索字符串。
search_by 可选的 字符串 您正在按哪个字段搜索。允许的值为:name
is_enabled 可选的 布尔值
type 可选的 字符串 您正在按哪个字段搜索。允许的值为:email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification , push_subscriber_id
order_by 可选的 字符串 按哪个字段排序结果。允许的值有:notification_handler_id , datetime , last_datetime , name
order_type 可选的 字符串 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
page 可选的 整数 您想要结果的页码。默认为 1
results_per_page 可选的 整数 每页您想要多少个结果。允许的值是:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认为25
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-04-21 15:37:11",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://notifyc.com/api/notification-handlers?page=1",
        "last": "https://notifyc.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://notifyc.com/api/notification-handlers?page=1"
    }
}
GET https://notifyc.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://notifyc.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-04-21 15:37:11",
    }
}
POST https://notifyc.com/api/notification-handlers
参数 细节 描述
name 必需 字符串 -
type 必需 字符串 允许的值:email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification , push_subscriber_id
email 可选的 字符串 可用时间:type = email Email
webhook 可选的 字符串 可用时间:type = webhook Webhook URL
slack 可选的 字符串 可用时间:type = slack Slack webhook URL
discord 可选的 字符串 可用时间:type = discord Discord webhook URL
telegram 可选的 字符串 可用时间:type = telegram Telegram API Token
telegram_chat_id 可选的 字符串 可用时间:type = telegram Telegram Chat ID
microsoft_teams 可选的 字符串 可用时间:type = microsoft_teams Microsoft Teams webhook URL
google_chat 可选的 字符串 可用时间:type = google_chat Google chat webhook URL
x_consumer_key 可选的 字符串 可用时间:type = x Telegram API Token
x_consumer_secret 可选的 字符串 可用时间:type = x Telegram API Token
x_access_token 可选的 字符串 可用时间:type = x Telegram API Token
x_access_token_secret 可选的 字符串 可用时间:type = x Telegram API Token
push_subscriber_id 可选的 字符串 可用时间:type = push_subscriber_id Push subscriber
twilio 可选的 字符串 可用时间:type = twilio Phone number
twilio_call 可选的 字符串 可用时间:type = twilio_call Phone number
whatsapp 可选的 字符串 可用时间:type = whatsapp Phone number
curl --request POST \
--url 'https://notifyc.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://notifyc.com/api/notification-handlers/{notification_handler_id}
参数 细节 描述
name 可选的 字符串 -
type 可选的 字符串 允许的值:email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification , push_subscriber_id
email 可选的 字符串 可用时间:type = email Email
webhook 可选的 字符串 可用时间:type = webhook Webhook URL
slack 可选的 字符串 可用时间:type = slack Slack webhook URL
discord 可选的 字符串 可用时间:type = discord Discord webhook URL
telegram 可选的 字符串 可用时间:type = telegram Telegram API Token
telegram_chat_id 可选的 字符串 可用时间:type = telegram Telegram Chat ID
microsoft_teams 可选的 字符串 可用时间:type = microsoft_teams Microsoft Teams webhook URL
google_chat 可选的 字符串 可用时间:type = google_chat Google chat webhook URL
x_consumer_key 可选的 字符串 可用时间:type = x Telegram API Token
x_consumer_secret 可选的 字符串 可用时间:type = x Telegram API Token
x_access_token 可选的 字符串 可用时间:type = x Telegram API Token
x_access_token_secret 可选的 字符串 可用时间:type = x Telegram API Token
push_subscriber_id 可选的 字符串 可用时间:type = push_subscriber_id Push subscriber
twilio 可选的 字符串 可用时间:type = twilio Phone number
twilio_call 可选的 字符串 可用时间:type = twilio_call Phone number
whatsapp 可选的 字符串 可用时间:type = whatsapp Phone number
is_enabled 可选的 布尔值 -
curl --request POST \
--url 'https://notifyc.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://notifyc.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://notifyc.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \